<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta name="GENERATOR" content="VSdocman - documentation generator; http://www.helixoft.com" />
	<title>MainFrameWindow Events</title>

	<link rel="stylesheet" type="text/css" href="msdn2017/msdn2017.css"></link>
	<script src="msdn2017/msdn2017.js" type="text/javascript"></script>
	<script src="SyntaxHighlighter/scripts/shCore_helixoft.js" type="text/javascript"></script>
	<script src="SyntaxHighlighter/scripts/shBrushVb.js" type="text/javascript"></script>
	<script src="SyntaxHighlighter/scripts/shBrushCSharp.js" type="text/javascript"></script>
	<script src="SyntaxHighlighter/scripts/shBrushFSharp.js" type="text/javascript"></script>
	<script src="SyntaxHighlighter/scripts/shBrushCpp.js" type="text/javascript"></script>
	<script src="SyntaxHighlighter/scripts/shBrushJScript.js" type="text/javascript"></script>
	<link href="SyntaxHighlighter/styles/shCore.css" rel="stylesheet" type="text/css" />
	<link href="SyntaxHighlighter/styles/shThemeMsdnLW.css" rel="stylesheet" type="text/css" />
	<script type="text/javascript">
		SyntaxHighlighter.all();
	</script>				

	<script type="text/javascript">
<!--
if (self.name != "vbdocright") {
	if (location.search != "?toc=no") {
		var filename = location.pathname.replace(/\\/g, "/");
		filename = filename.substring(filename.lastIndexOf('/')+1);
		location.replace("index.html#" + filename);
	} 
}

function replaceTitleAndUrl(win, title, url) {
	if(history.replaceState) {
		win.history.replaceState(null, title, url);
	} else {
		win.document.title = document.title;
		win.location.replace(url);
	}
}
//-->
	</script>	
</head>

<body style="direction: ltr;">
	<script type="text/javascript">
		try {
			if (location.search != "?toc=no") {
				parent.document.title = document.title;
				var filename = location.pathname.replace(/\\/g, "/");
				filename = filename.substring(filename.lastIndexOf('/')+1);
				if (window.parent.location.search == null || window.parent.location.search != "?" + filename) {
					if (window.parent.location.hash == null || window.parent.location.hash != "#" + filename) {
						replaceTitleAndUrl(window.parent, document.title, "index.html#" + filename);
					}
				}
			}
		} catch (ex) {}
	</script>
	<div id="topic">
<!--HEADER START-->
  <div id="header">
  	<div id="runningHeaderText">SOLUTION-WIDE PROPERTIES Reference</div>
  	<h1 class="title">MainFrameWindow Events</h1>
  	<div id="headerLinks">
              <a href="topic_0000000000000001.html">MainFrameWindow Class</a>
            &nbsp;<a href="#seeAlsoSection">See Also</a>
		</div>
		<hr />
	</div>
<!--HEADER END-->
    
		<div id="mainSection">
      <div id="mainBody">
        <p />
        <p>
          The following tables list the members exposed by the  
              <a href="topic_0000000000000001.html">MainFrameWindow</a>
             type.
        </p>

<div class="section_container">
	<div class="section_heading">
		<span><a href="javascript:void(0)" title="Collapse" onclick="toggleSection(this);">Events</a></span>
		<div><hr /></div>
	</div>

	<div id="EventsSection" class="section">	
  <table class="memberListTable">
    <tr>
      <th></th>
      <th>
        Name
      </th>
      <th>
        Description
      </th>
    </tr>

	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.activated.aspx">Activated</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.aspx">Form</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.autosizechanged.aspx">AutoSizeChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.aspx">Form</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.autovalidatechanged.aspx">AutoValidateChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.aspx">Form</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.backcolorchanged.aspx">BackColorChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.backgroundimagechanged.aspx">BackgroundImageChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.backgroundimagelayoutchanged.aspx">BackgroundImageLayoutChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.bindingcontextchanged.aspx">BindingContextChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.causesvalidationchanged.aspx">CausesValidationChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.changeuicues.aspx">ChangeUICues</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.click.aspx">Click</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.clientsizechanged.aspx">ClientSizeChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.closed.aspx">Closed</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.aspx">Form</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.closing.aspx">Closing</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.aspx">Form</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.contextmenuchanged.aspx">ContextMenuChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.contextmenustripchanged.aspx">ContextMenuStripChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.controladded.aspx">ControlAdded</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.controlremoved.aspx">ControlRemoved</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.cursorchanged.aspx">CursorChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.deactivate.aspx">Deactivate</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.aspx">Form</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.componentmodel.component.disposed.aspx">Disposed</a>

	  </td>
	  <td>
	
	Occurs when the component is disposed by a call to the <a target="_top" href="http://msdn2.microsoft.com/en-us/library/3cc9y48w.aspx">Dispose</a> method.
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.componentmodel.component.aspx">Component</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.dockchanged.aspx">DockChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.doubleclick.aspx">DoubleClick</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.dpichanged.aspx">DpiChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.aspx">Form</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.dpichangedafterparent.aspx">DpiChangedAfterParent</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.dpichangedbeforeparent.aspx">DpiChangedBeforeParent</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.dragdrop.aspx">DragDrop</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.dragenter.aspx">DragEnter</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.dragleave.aspx">DragLeave</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.dragover.aspx">DragOver</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.enabledchanged.aspx">EnabledChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.enter.aspx">Enter</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.fontchanged.aspx">FontChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.forecolorchanged.aspx">ForeColorChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.formclosed.aspx">FormClosed</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.aspx">Form</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.formclosing.aspx">FormClosing</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.aspx">Form</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.givefeedback.aspx">GiveFeedback</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.gotfocus.aspx">GotFocus</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.handlecreated.aspx">HandleCreated</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.handledestroyed.aspx">HandleDestroyed</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.helpbuttonclicked.aspx">HelpButtonClicked</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.aspx">Form</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.helprequested.aspx">HelpRequested</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.imemodechanged.aspx">ImeModeChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.inputlanguagechanged.aspx">InputLanguageChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.aspx">Form</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.inputlanguagechanging.aspx">InputLanguageChanging</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.aspx">Form</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.invalidated.aspx">Invalidated</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.keydown.aspx">KeyDown</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.keypress.aspx">KeyPress</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.keyup.aspx">KeyUp</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.layout.aspx">Layout</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.leave.aspx">Leave</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.load.aspx">Load</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.aspx">Form</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.locationchanged.aspx">LocationChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.lostfocus.aspx">LostFocus</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.marginchanged.aspx">MarginChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.aspx">Form</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.maximizedboundschanged.aspx">MaximizedBoundsChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.aspx">Form</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.maximumsizechanged.aspx">MaximumSizeChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.aspx">Form</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.mdichildactivate.aspx">MdiChildActivate</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.aspx">Form</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.menucomplete.aspx">MenuComplete</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.aspx">Form</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.menustart.aspx">MenuStart</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.aspx">Form</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.minimumsizechanged.aspx">MinimumSizeChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.aspx">Form</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.mousecapturechanged.aspx">MouseCaptureChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.mouseclick.aspx">MouseClick</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.mousedoubleclick.aspx">MouseDoubleClick</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.mousedown.aspx">MouseDown</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.mouseenter.aspx">MouseEnter</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.mousehover.aspx">MouseHover</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.mouseleave.aspx">MouseLeave</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.mousemove.aspx">MouseMove</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.mouseup.aspx">MouseUp</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.mousewheel.aspx">MouseWheel</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.move.aspx">Move</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.paddingchanged.aspx">PaddingChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.paint.aspx">Paint</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.parentchanged.aspx">ParentChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.previewkeydown.aspx">PreviewKeyDown</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.queryaccessibilityhelp.aspx">QueryAccessibilityHelp</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.querycontinuedrag.aspx">QueryContinueDrag</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.regionchanged.aspx">RegionChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.resize.aspx">Resize</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.resizebegin.aspx">ResizeBegin</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.aspx">Form</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.resizeend.aspx">ResizeEnd</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.aspx">Form</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.righttoleftchanged.aspx">RightToLeftChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.righttoleftlayoutchanged.aspx">RightToLeftLayoutChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.aspx">Form</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.scrollablecontrol.scroll.aspx">Scroll</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.scrollablecontrol.aspx">ScrollableControl</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.shown.aspx">Shown</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.aspx">Form</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.sizechanged.aspx">SizeChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.stylechanged.aspx">StyleChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.systemcolorschanged.aspx">SystemColorsChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.tabindexchanged.aspx">TabIndexChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.aspx">Form</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.tabstopchanged.aspx">TabStopChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.form.aspx">Form</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.textchanged.aspx">TextChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.validated.aspx">Validated</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.validating.aspx">Validating</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>
	<tr class="
		inheritedMember 
	
	
	">
	  <td>
    <img alt="Public event" title="Public event" src="msdn2017/pubevent.png"></img>

	
	    
	  </td>
	  <td>
	    <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.visiblechanged.aspx">VisibleChanged</a>

	  </td>
	  <td>
	
	
		(inherited from <a target="_top" href="http://msdn2.microsoft.com/en-us/library/system.windows.forms.control.aspx">Control</a>).
	
		</td>
	</tr>

  </table>

  <a href="#mainBody">
    Top
  </a>

	</div>					
</div>


<div class="section_container">
	<div class="section_heading">
		<span><a href="javascript:void(0)" title="Collapse" onclick="toggleSection(this);">See Also</a></span>
		<div><hr /></div>
	</div>

	<div id="seeAlsoSection" class="section">	
		<div>
			<a href="topic_0000000000000001.html">MainFrameWindow Class</a><br />
	<a href="topic_0000000000000000.html">_3dEngineRendering Namespace</a><br />


			

		</div>
	</div>					
</div>
			</div>
			</div>
      <div id="footer">
      	<p><span style="color: #FF0000;">Generated with unregistered version of <a target="_top" href="http://www.helixoft.com/vsdocman/overview.html">VSdocman</a></span>&nbsp;<br />Your own footer text will only be shown in registered version.</p>
      </div>
    </div>
  	<script type="text/javascript">
<!--
	try {
		parent.frames["vbdocswitch"].expandLinkInToc(location.href);
	} catch (ex) {}
//-->
		</script>	
  </body>
</html>

